- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QXmlSimpleReader Class Reference

Search for all occurrences

## Detailed Description

Definition at line 241 of file qxml.h.

`#include <qxml.h>`

Inheritance diagram for QXmlSimpleReader:
[legend]

List of all members.

## Public Member Functions
| QXmlSimpleReader ()
virtual | ~QXmlSimpleReader ()
bool | feature (const QString &name, bool *ok=0) const
void | setFeature (const QString &name, bool value)
bool | hasFeature (const QString &name) const
void * | property (const QString &name, bool *ok=0) const
void | setProperty (const QString &name, void *value)
bool | hasProperty (const QString &name) const
void | setEntityResolver (QXmlEntityResolver *handler)
QXmlEntityResolver * | entityResolver () const
void | setDTDHandler (QXmlDTDHandler *handler)
QXmlDTDHandler * | DTDHandler () const
void | setContentHandler (QXmlContentHandler *handler)
QXmlContentHandler * | contentHandler () const
void | setErrorHandler (QXmlErrorHandler *handler)
QXmlErrorHandler * | errorHandler () const
void | setLexicalHandler (QXmlLexicalHandler *handler)
QXmlLexicalHandler * | lexicalHandler () const
void | setDeclHandler (QXmlDeclHandler *handler)
QXmlDeclHandler * | declHandler () const
bool | parse (const QXmlInputSource &input)
bool | parse (const QXmlInputSource *input)
virtual bool | parse (const QXmlInputSource *input, bool incremental)
virtual bool | parseContinue ()
## Friends
class | QXmlSimpleReaderLocator

## Constructor & Destructor Documentation

QXmlSimpleReader | ( |  | ) |

virtual ~QXmlSimpleReader | ( |  | ) | `[virtual]`

## Member Function Documentation

bool feature | ( | const QString & | name,
|  | bool * | ok = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QXmlReader.

void setFeature | ( | const QString & | name,
|  | bool | value
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlReader.

bool hasFeature | ( | const QString & | name | ) | const `[virtual]`

Search for all occurrences

Implements QXmlReader.

void* property | ( | const QString & | name,
|  | bool * | ok = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QXmlReader.

void setProperty | ( | const QString & | name,
|  | void * | value
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlReader.

bool hasProperty | ( | const QString & | name | ) | const `[virtual]`

Search for all occurrences

Implements QXmlReader.

void setEntityResolver | ( | QXmlEntityResolver * | handler | ) | `[virtual]`

Search for all occurrences

Implements QXmlReader.

QXmlEntityResolver* entityResolver | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QXmlReader.

void setDTDHandler | ( | QXmlDTDHandler * | handler | ) | `[virtual]`

Search for all occurrences

Implements QXmlReader.

QXmlDTDHandler* DTDHandler | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QXmlReader.

void setContentHandler | ( | QXmlContentHandler * | handler | ) | `[virtual]`

Search for all occurrences

Implements QXmlReader.

QXmlContentHandler* contentHandler | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QXmlReader.

void setErrorHandler | ( | QXmlErrorHandler * | handler | ) | `[virtual]`

Search for all occurrences

Implements QXmlReader.

QXmlErrorHandler* errorHandler | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QXmlReader.

void setLexicalHandler | ( | QXmlLexicalHandler * | handler | ) | `[virtual]`

Search for all occurrences

Implements QXmlReader.

QXmlLexicalHandler* lexicalHandler | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QXmlReader.

void setDeclHandler | ( | QXmlDeclHandler * | handler | ) | `[virtual]`

Search for all occurrences

Implements QXmlReader.

QXmlDeclHandler* declHandler | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QXmlReader.

bool parse | ( | const QXmlInputSource & | input | ) | `[virtual]`

Search for all occurrences

Implements QXmlReader.

bool parse | ( | const QXmlInputSource * | input | ) | `[virtual]`

Search for all occurrences

Implements QXmlReader.

virtual bool parse | ( | const QXmlInputSource * | input,
|  | bool | incremental
| ) |  | `[virtual]`

Search for all occurrences

virtual bool parseContinue | ( |  | ) | `[virtual]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QXmlSimpleReaderLocator `[friend]`

Search for all occurrences

Definition at line 278 of file qxml.h.

The documentation for this class was generated from the following file:

- QtXml/qxml.h

QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader
QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader QXmlSimpleReader